Loading...
Searching...
No Matches
gsm0808_cipher_mode_command Struct Reference
GSM 08.08 / 3GPP TS 48.008 A Interface

`#include <gsm0808.h>`

## Data Fields

struct gsm0808_encrypt_info | ei
bool | cipher_response_mode_present
| 3GPP TS 48.008 3.2.2.34 Cipher Response Mode, optional IE
uint8_t | cipher_response_mode
| 3GPP TS 48.008 3.2.2.34 Cipher Response Mode: 0 - IMEISV must not be included by the Mobile Station; 1 - IMEISV must be included by the Mobile Station.
bool | kc128_present
uint8_t | kc128 [16]
bool | more_items

## Field Documentation

## cipher_response_mode

uint8_t gsm0808_cipher_mode_command::cipher_response_mode

3GPP TS 48.008 3.2.2.34 Cipher Response Mode: 0 - IMEISV must not be included by the Mobile Station; 1 - IMEISV must be included by the Mobile Station.

Referenced by gsm0808_create_cipher(), and gsm0808_create_cipher2().

## cipher_response_mode_present

bool gsm0808_cipher_mode_command::cipher_response_mode_present

3GPP TS 48.008 3.2.2.34 Cipher Response Mode, optional IE

Referenced by gsm0808_create_cipher2().

## ei

struct gsm0808_encrypt_info gsm0808_cipher_mode_command::ei

Referenced by gsm0808_create_cipher(), and gsm0808_create_cipher2().

## kc128

uint8_t gsm0808_cipher_mode_command::kc128[16]

Referenced by gsm0808_create_cipher2().

## kc128_present

bool gsm0808_cipher_mode_command::kc128_present

Referenced by gsm0808_create_cipher2().

## more_items

bool gsm0808_cipher_mode_command::more_items

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/gsm0808.h